Name: klamav
Version: 0.41
Release: alt1.0

Summary: KDE frontend for the Clam AntiVirus virus scanner
Summary(ru_RU.KOI8-R): KDE-    Clam AntiVirus

License: GPL
Group: File tools
Url: http://sourceforge.net/projects/klamav/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/%name/%name-%version-source.tar.bz2

# manually removed: ananas-engine-qt kdenetwork-kopete 
# Automatically added by buildreq on Sun Aug 06 2006
BuildRequires: fontconfig gcc-c++ imake kde-i18n-ru kdenetwork-devel kdepim-devel kdepim-libs libclamav-devel libdnet-devel libjpeg-devel libpng-devel libqscintilla-designer libqwt-devel libXext-devel libXt-devel pkg-config qt3-designer unsermake xml-utils xorg-cf-files

Requires: clamav

# Typical environment for GNOME program
Requires(post,postun): desktop-file-utils
BuildPreReq: desktop-file-utils
BuildPreReq: menu-devel

%description
KDE frontend for the Clam AntiVirus virus scanner

%prep
%setup -q -n %name-%version-source/%name-%version

%build
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh

# FIXME: it is bug with PACKAGE name (klamav02)
%__subst "s/klamav02/klamav/" ./configure doc/Makefile.* doc/en/Makefile.*

%configure --disable-rpath
# override KFILE due broken lib depends in makefiles
%make_build LIB_KFILE="-lkio -lkdecore"

%install
%makeinstall
install -D -m644 %buildroot%_datadir/applnk/Utilities/klamav.desktop %buildroot%_desktopdir/%name.desktop
rm -rf %buildroot%_datadir/applnk/Utilities/klamav.desktop

%find_lang %name --with-kde

%post
%update_menus
%update_desktopdb

%postun
%clean_menus
%clean_desktopdb

%files -f %name.lang
%_bindir/*
%_datadir/apps/%name
%_desktopdir/*
%_datadir/apps/konqueror/servicemenus/klamav-dropdown.desktop
%_datadir/config.kcfg/*
%_iconsdir/hicolor/*/*/%name.png
%_iconsdir/locolor/*/*/%name.png

%changelog
* Thu Mar 22 2007 ALT QA Team Robot <qa-robot@altlinux.org> 0.41-alt1.0
- Rebuilt with libclamav.so.2.

* Mon Mar 12 2007 Vitaly Lipatov <lav@altlinux.ru> 0.41-alt1
- new version 0.41 (with rpmrb script)

* Sat Feb 24 2007 Vitaly Lipatov <lav@altlinux.ru> 0.40-alt1
- new version 0.40 (with rpmrb script)

* Sun Aug 06 2006 Vitaly Lipatov <lav@altlinux.ru> 0.38-alt0.1
- new version (0.38), update buildreq
- cleanup spec, move desktop to desktopdir

* Mon May 01 2006 Vitaly Lipatov <lav@altlinux.ru> 0.37-alt0.1
- new version 0.37
- normalize icons placement

* Mon Feb 06 2006 Vitaly Lipatov <lav@altlinux.ru> 0.35-alt0.1
- new version
- remove menu file

* Tue Nov 29 2005 Vitaly Lipatov <lav@altlinux.ru> 0.32-alt1
- new version

* Sun Oct 09 2005 Vitaly Lipatov <lav@altlinux.ru> 0.30.3-alt1
- new version

* Tue Sep 13 2005 Vitaly Lipatov <lav@altlinux.ru> 0.30-alt1
- new version

* Fri Jul 08 2005 Vitaly Lipatov <lav@altlinux.ru> 0.20.1-alt1
- translations integrated

* Mon Jun 20 2005 Vitaly Lipatov <lav@altlinux.ru> 0.20-alt1
- new version
- add ru.po translation

* Fri Mar 18 2005 Vitaly Lipatov <lav@altlinux.ru> 0.15.1-alt0.1
- new version

* Fri Feb 18 2005 Vitaly Lipatov <lav@altlinux.ru> 0.12.1-alt1
- new version

* Wed Jan 26 2005 Vitaly Lipatov <lav@altlinux.ru> 0.09.4-alt0.1
- new version

* Thu Dec 30 2004 Vitaly Lipatov <lav@altlinux.ru> 0.08-alt1
- new version
- enable klammail build

* Wed Dec 08 2004 Vitaly Lipatov <lav@altlinux.ru> 0.06-alt2
- fix menu group
- add requires for clamav package

* Sun Oct 17 2004 Vitaly Lipatov <lav@altlinux.ru> 0.06-alt1
- first build for ALT Linux Sisyphus

* Fri Oct 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.06-1mdk
- 0.06

* Tue Sep 28 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.05-1mdk
- first Mandrake package
- p0 to use our clamav-db path
